package betterquesting.api2.client.gui.resources.textures;

import betterquesting.api.utils.BigItemStack;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;

/* loaded from: betterquesting_api2_client_gui_resources_textures.jar:betterquesting/api2/client/gui/resources/textures/OreDictTexture.class */
public class OreDictTexture extends SlideShowTexture {
    public OreDictTexture(float interval, BigItemStack stack, boolean showCount, boolean keepAspect) {
        super(interval, (IGuiTexture[]) splitOreTextures(stack, showCount, keepAspect).toArray(new ItemTexture[0]));
    }

    public OreDictTexture(float interval, Collection<BigItemStack> list, boolean showCount, boolean keepAspect) {
        super(interval, (IGuiTexture[]) buildTextures(list, showCount, keepAspect).toArray(new ItemTexture[0]));
    }

    private static List<ItemTexture> buildTextures(Collection<BigItemStack> subItems, boolean showCount, boolean keepAspect) {
        List<ItemTexture> list = new ArrayList<>();
        subItems.forEach(is -> {
            list.add(new ItemTexture(is, showCount, keepAspect));
        });
        return list;
    }

    private static List<ItemTexture> splitOreTextures(BigItemStack stack, boolean showCount, boolean keepAspect) {
        List<ItemTexture> list = new ArrayList<>();
        if (!stack.hasOreDict()) {
            if (stack.getBaseStack().func_77960_j() == 32767) {
                List<ItemStack> subItems = new ArrayList<>();
                stack.getBaseStack().func_77973_b().func_150895_a(stack.getBaseStack().func_77973_b(), CreativeTabs.field_78027_g, subItems);
                subItems.forEach(is -> {
                    BigItemStack bis = new BigItemStack(is);
                    bis.stackSize = stack.stackSize;
                    list.add(new ItemTexture(bis, showCount, keepAspect));
                });
            } else {
                list.add(new ItemTexture(stack));
            }
            return list;
        }
        for (ItemStack iStack : stack.getOreIngredient().getMatchingStacks()) {
            if (iStack.func_77960_j() == 32767) {
                List<ItemStack> subItems2 = new ArrayList<>();
                iStack.func_77973_b().func_150895_a(iStack.func_77973_b(), CreativeTabs.field_78027_g, subItems2);
                for (ItemStack sStack : subItems2) {
                    BigItemStack bStack = new BigItemStack(sStack);
                    bStack.stackSize = stack.stackSize;
                    list.add(new ItemTexture(bStack, showCount, keepAspect));
                }
            } else {
                BigItemStack bStack2 = new BigItemStack(iStack);
                bStack2.stackSize = stack.stackSize;
                list.add(new ItemTexture(bStack2, showCount, keepAspect));
            }
        }
        return list;
    }
}
